﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- すべてのレコードを検索する処理を実行します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-findall"?>

  <xsl:template match="/">
    <html>
      <head>
        <title>sample006</title>
      </head>
      <body>
        <!-- <xsl:apply-templates>エレメントで別の場所にある<xsl:template>エレメントのテンプレートルールを適用して再帰的に処理を行います -->
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <!-- 「filed1」という名称のフィールドのデータを表示します -->
    <xsl:value-of select="fmrs:field[@name='field1']/fmrs:data" /><br />
  </xsl:template>

</xsl:stylesheet>