﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- 実際は1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&Product=FileMaker&Product.op=cn&-max=1&-find"?>

  <xsl:template match="/">
    <html>
      <head>
        <title>sample007</title>
      </head>
      <body>
        <!-- 対象レコード数を表示します -->
        <p>
          <xsl:text>対象レコード数：</xsl:text>
          <xsl:value-of select="/fmrs:fmresultset/fmrs:resultset/@count" />
        </p>

        <!-- 実際に取得したレコード数を表示します -->
        <p>
          <xsl:text>取得レコード数：</xsl:text>
          <xsl:value-of select="/fmrs:fmresultset/fmrs:resultset/@fetch-size" />
        </p>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>