﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- 最初の10件を検索します -->
  <!-- 実際は1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-max=10&-find"?>

  <xsl:template match="/">
    <html>
      <head>
        <title>sample009</title>
      </head>
      <body>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <!-- -recidで指定されたレコードを「detail.xsl」という名前のXSLTスタイルシートを使って表示するためのリンクを設定します -->
    <a href="detail.xsl?-recid={@record-id}">
      <xsl:value-of select="fmrs:field[@name='field1']/fmrs:data" />
    </a>
    <br />
  </xsl:template>

</xsl:stylesheet>