<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- 実際には1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-max=10&-find"?>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset">
    <html>
      <head>
        <title>sample014</title>
      </head>
      <body>
        <!-- <xsl:template match="fmrs:record/fmrs:relatedset[@table='table2']/fmrs:record">のテンプレートルールを適用します -->
        <xsl:apply-templates select="fmrs:record/fmrs:relatedset[@table='table2']/fmrs:record" />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="fmrs:record/fmrs:relatedset[@table='table2']/fmrs:record">
    <!-- ポータル内にある複数の関連レコード（table2という名前の関連テーブルにあるnameフィールド）のデータを表示します -->
    <xsl:value-of select="fmrs:field[@name='table2::name']/fmrs:data" /><br />
  </xsl:template>

</xsl:stylesheet>