<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-relatedsets.filter=layout&-relatedsets.max=5&-max=10&-find"?>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset">
    <html>
      <head>
        <title>sample014d</title>
      </head>
      <body>
        <xsl:apply-templates select="fmrs:record/fmrs:relatedset[@table='table2']/fmrs:record" />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="fmrs:record/fmrs:relatedset[@table='table2']/fmrs:record">
    <xsl:value-of select="fmrs:field[@name='table2::name']/fmrs:data" /><br />
  </xsl:template>

</xsl:stylesheet>