<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <!-- FileMakerに固有のXSLT引数の宣言 -->
  <xsl:param name="client-ip" />
  <xsl:param name="client-user-name" />
  <xsl:param name="client-password" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample016</title>
      </head>
      <body>
        <!-- テンプレートルール内で、宣言したFileMakerに固有のXSLT引数を使用します -->
        <xsl:text>IPアドレス：</xsl:text>
		<xsl:value-of select="$client-ip" /><br />
		
        <xsl:text>ユーザー名：</xsl:text>
		<xsl:value-of select="$client-user-name" /><br />
		
        <xsl:text>パスワード：</xsl:text>
		<xsl:value-of select="$client-password" /><br />
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>