﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample022</title>
      </head>
      <body>
        <!-- 指定した文字列の11文字目から3文字だけ表示します -->
        <xsl:value-of select="substring('FileMaker Web Publishing Engine', 11, 3)" /><br />

        <!-- 指定した文字列の11文字目から表示します -->
        <xsl:value-of select="substring('FileMaker Web Publishing Engine', 11)" /><br />

        <!-- 指定した文字列の中に含まれる「Web 」より後の文字列を表示します -->
        <xsl:value-of select="substring-after('FileMaker Web Publishing Engine', 'Web ')" /><br />

        <!-- 指定した文字列の中に含まれる「Web 」より前の文字列を表示します -->
        <xsl:value-of select="substring-before('FileMaker Web Publishing Engine', 'Web ')" /><br />
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>