<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <!-- Web公開エンジンの認証済みベースURI引数を使用するための宣言 -->
  <xsl:param name="authenticated-xml-base-uri" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample023</title>
      </head>
      <body>
        <!-- データベースのレイアウト情報をおさめたXMLデータを取得するURLを表示する -->
        <!-- 実際には1行で記述します -->
        <xsl:value-of select="concat($authenticated-xml-base-uri, '/fmi/xml/FMPXMLLAYOUT.xml?-db=dbname&amp;-lay=layoutname&amp;-view')" />
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>