﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-max=10&-find"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample029b</title>
      </head>
      <body>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <!-- field1という名称のフィールド値に「FileMaker」という文字列が含まれる場合にそのフィールドの内容を表示します -->
    <xsl:if test="contains(fmrs:field[@name='field1']/fmrs:data, 'FileMaker')">
      <xsl:value-of select="fmrs:field[@name='field1']/fmrs:data" /><br />
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>