﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- 実際には1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-lay.response=layoutname&-max=1&-find"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <!-- FileMakerデータベースのエラーコード番号を取得し、変数errorcodeに格納します -->
  <xsl:variable name="errorcode" select="/fmrs:fmresultset/fmrs:error/@code" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample033</title>
      </head>
      <body>
         <xsl:choose>
           <xsl:when test="$errorcode = 0">
             <!-- データベース処理が正常に実行された場合の処理を記述します -->
             <xsl:text>リクエストが正常に処理されました</xsl:text>
           </xsl:when>
           <xsl:otherwise>
             <!-- データベース処理中にエラーが発生した場合の処理を記述します -->
             <xsl:text>エラーが発生しました</xsl:text>
             <xsl:value-of select="concat('［エラーコード番号：', $errorcode, '］')" />
           </xsl:otherwise>
         </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>