﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample034c</title>
      </head>
      <body>
        <!-- メール送信先を設定します（本サンプルでは未設定） -->
        <xsl:variable name="to" select="'@'"/>

        <!-- HTMLメールを送信します -->
        <xsl:variable name="sending_mail" select="fmxslt:send_email(concat($to, '?from=foo@example.com&amp;subject=Example'), 'mail_template.xslt', /, true())" />

        <!-- 送信結果について表示します -->
        <xsl:text>メール送信の結果：</xsl:text>
        <xsl:choose>
          <xsl:when test="$sending_mail = true()">成功</xsl:when>
          <xsl:otherwise>失敗</xsl:otherwise>
        </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>