﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                xmlns:fmc="http://www.filemaker.com/xml/cookie"
                exclude-result-prefixes="xsl fmrs fmxslt fmc"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample036</title>
      </head>
      <body>
        <!-- 「cookiename1」という名前のCookieを取得します -->
        <xsl:value-of select="fmxslt:get_cookie('cookiename1')" /><br />

        <!-- Webブラウザーから送信されたCookieすべてを取得します -->
        <xsl:variable name="usercookies" select="fmxslt:get_cookies()" />

        <!-- 「cookiename1」という名前のCookieを取得します -->
        <xsl:value-of select="$usercookies/fmc:cookies/fmc:cookie[@name='cookiename1']" />
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>