﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <!-- fmxslt:set_cookie関数を使うにはコンテンツバッファを有効にする必要があります -->
  <?xslt-cwp-buffer buffer-content="true"?>

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample036b</title>
      </head>
      <body>
        <!-- 有効期限が0秒にして「cookiename1」という名前のCookieを削除します -->
        <xsl:variable name="temp" select="fmxslt:set_cookie('cookiename1', 'value1', 0, '/fmi/xsl/', '')" />

        <p>Cookieを削除しました</p>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>