﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmq="http://www.filemaker.com/xml/query"
                exclude-result-prefixes="xsl fmrs fmq">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:param name="request-query" />

  <xsl:template match="/">
      <!-- get-sample-documentという名称のテンプレートを呼び出します -->
      <xsl:call-template name="get-sample-document">
        <!-- titleという名前のパラメーターを指定します -->
        <xsl:with-param name="title" select="'Sample Stylesheet'" />
      </xsl:call-template>
  </xsl:template>

  <xsl:template name="get-sample-document">
    <!-- xsl:with-paramで指定されたパラメーターを使用することをテンプレートの最初で宣言します -->
    <xsl:param name="title" />

    <html>
      <head>
        <title><xsl:value-of select="$title" /></title>
      </head>
      <body>
        <xsl:value-of select="$title" />
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>