﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:calendar="xalan://java.util.Calendar"
                exclude-result-prefixes="xsl fmrs calendar"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample049</title>
      </head>
      <body>
        <!-- getInstanceメソッドを使用してCalenderクラスのインスタンスを取得します -->
        <xsl:variable name="cal" select="calendar:getInstance()" />

        <!-- getActualMaximumインスタンスメソッドを使用して今月の末日の日付を表示します -->
        <xsl:text>今月の末日の日付は</xsl:text>
        <xsl:value-of select="calendar:getActualMaximum($cal, 5)" />
        <xsl:text>日です</xsl:text>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>