﻿<?xml version="1.0" encoding="UTF-8"?>
<!-- 1行目には必ずXML宣言を記述し、この文書がXMLドキュメントであることを示します -->
<!-- encoding属性でこの文書の文字コードを指定します -->

<!-- XSLTネームスペースの宣言 -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- FileMaker固有の<?xslt-cwp-query?>処理命令でクエリーコマンドおよびクエリー引数を指定できます -->
  <!-- -processクエリーコマンドを使用し、-grammarクエリー引数でfmresultset XML文法を利用することを指定します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <!-- <xsl:output>エレメントのmethod属性を使用して出力形式の種類を指定します -->
  <xsl:output method="xml" />
  
  <!-- <xsl:template>エレメントでテンプレートルールを指定し、出力される内容を調整します -->
  <xsl:template match="/">

    <!-- <xsl:copy-of>エレメントを使用するとソースとなるXMLデータの任意の部分をそのまま利用することができ、要求されたXMLデータを変換せずに出力します -->
    <xsl:copy-of select="." />

  </xsl:template>
</xsl:stylesheet>