﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- すべてのレコードのうち最初の10件を検索します -->
  <!-- 実際は1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-max=10&-findall"?>

  <xsl:template match="/">
    <html>
      <head>
        <title>sample008b</title>
      </head>
      <body>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <!-- recordエレメントのmod-id属性の値を取得してレコードの修正IDを表示します -->
    <xsl:value-of select="@mod-id" /><br />
  </xsl:template>

</xsl:stylesheet>