<?xml version="1.0" encoding="UTF-8"?>

<!-- sample013.xsl -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                exclude-result-prefixes="xsl fmrs"
                version="1.0">

  <!-- レコードの編集処理を行うようにFileMakerクエリー文字列を指定します -->
  <!-- 実際には1行で記述します -->
  <?xslt-cwp-query params="-grammar=fmresultset&-db=dbname&-lay=layoutname&-edit"?>

  <xsl:template match="/fmrs:fmresultset/fmrs:resultset/fmrs:record">
    <html>
      <head>
        <title>sample013</title>
      </head>
      <body>
        <p>製品名：</p>
        <form action="sample013.xsl" method="POST">

          <!-- フォームで入力されたデータを表示し、入力欄を用意します -->
          <input type="text" name="product" value="{fmrs:field[@name='product']/fmrs:data}" />

          <!-- -recidクエリー引数で編集対象レコードのレコードIDを指定します -->
          <input type="hidden" name="-recid" value="{@record-id}" />

          <!-- リクエスト送信先のXSLTスタイルシートでFileMakerクエリー文字列が定義されているため、-grammar、-dbおよび-layクエリー引数を指定する必要はありません -->
          <input type="submit" name="-edit" value="編集" />
        </form>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>