﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <!-- FileMaker XSLT拡張関数を使用する場合には、XSLTネームスペースの宣言に「xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"」を追加する必要があります。 -->

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:template match="/">
    <html>
      <head>
        <title>sample017</title>
      </head>
      <body>
        <xsl:text>User-Agent: </xsl:text>
        <!-- FileMaker XSLT拡張関数のget_header関数を利用してWebブラウザーの情報を表示します -->
        <xsl:value-of select="fmxslt:get_header('User-Agent')" />
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>