<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample026b</title>
      </head>
      <body>
        <!-- 小数点以下の数値を切り捨てて表示します -->
        <p>
          <xsl:value-of select="floor(7.5)" /><br />
          <xsl:value-of select="floor(-7.5)" />
        </p>

        <!-- 小数点以下の数値を切り上げて表示します -->
        <p>
          <xsl:value-of select="ceiling(7.4)" /><br />
          <xsl:value-of select="ceiling(-7.4)" />
        </p>

        <!-- 数値を四捨五入して表示します -->
        <p>
          <xsl:value-of select="round(7.5)" /><br />
          <xsl:value-of select="round(7.4)" /><br />
          <xsl:value-of select="round(-7.5)" /><br />
          <xsl:value-of select="round(-7.51)" />
        </p>

        <!-- 文字列を数値に変換して表示します -->
        <p>
          <xsl:value-of select="number('10.5')" /><br />
          <xsl:value-of select="number('10,500')" />
        </p>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>