<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
                exclude-result-prefixes="xsl fmrs fmxslt"
                version="1.0">

  <!-- fmxslt:set_cookie関数を使うにはコンテンツバッファを有効にする必要があります -->
  <?xslt-cwp-buffer buffer-content="true"?>

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample035</title>
      </head>
      <body>
        <!-- 「value1」という値を持つ「cookiename1」という名前のCookieを設定します -->
        <xsl:variable name="temp" select="fmxslt:set_cookie('cookiename1', 'value1')" />

        <!-- 有効期間が1800秒である「value2」という値を持つ「cookiename2」という名前のCookieを設定します -->
        <xsl:variable name="temp" select="fmxslt:set_cookie('cookiename2', 'value2', 1800, '/fmi/xsl/sample/', '')" />

        <p>Cookieを設定しました</p>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>