﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:system="xalan://java.lang.System"
                exclude-result-prefixes="xsl system">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample046</title>
      </head>
      <body>
        <!-- Web公開エンジンが動作しているサーバーのシステム情報を表示します -->
        <xsl:text>Java Runtime Environmentのバージョン：</xsl:text>
        <xsl:value-of select="system:getProperty('java.version')" /><br />

        <xsl:text>Javaのインストール先ディレクトリ：</xsl:text>
        <xsl:value-of select="system:getProperty('java.home')" /><br />

        <xsl:text>オペレーティングシステム名：</xsl:text>
        <xsl:value-of select="system:getProperty('os.name')" /><br />

        <xsl:text>オペレーティングシステムのバージョン：</xsl:text>
        <xsl:value-of select="system:getProperty('os.version')" />
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
