﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
                xmlns:mimeutility="xalan://javax.mail.internet.MimeUtility"
                exclude-result-prefixes="xsl fmrs mimeutility"
                version="1.0">

  <?xslt-cwp-query params="-grammar=fmresultset&-process"?>

  <xsl:output doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

  <xsl:template match="/">
    <html>
      <head>
        <title>sample050</title>
      </head>
      <body>
        <xsl:choose>
          <xsl:when test="function-available('mimeutility:encodeText')">
            <xsl:text>javax.mail.internet.MimeUtility#encodeTextメソッドは利用可能です</xsl:text>
            <xsl:text>（実行結果：</xsl:text>
            <xsl:value-of select="mimeutility:encodeText('メール送信のテスト', 'ISO-2022-JP', 'B')" />
            <xsl:text>）</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>javax.mail.internet.MimeUtility#encodeTextメソッドは利用できません</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>